Package Details: gala-git 3.2.0.r73.c49189b-1

Git Clone URL: https://aur.archlinux.org/gala-git.git (read-only, click to copy)
Package Base: gala-git
Description: The Pantheon Window Manager
Upstream URL: https://github.com/elementary/gala
Licenses: GPL3
Groups: pantheon-unstable
Conflicts: gala
Provides: gala, libgala.so
Submitter: alucryd
Maintainer: quequotion
Last Packager: quequotion
Votes: 57
Popularity: 0.152941
First Submitted: 2017-05-19 12:52
Last Updated: 2020-03-15 17:37

Dependencies (31)

Required by (8)

Sources (1)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 9 ... Next › Last »

abouzakaria commented on 2018-09-28 09:38

gala: error while loading shared libraries: libmutter-2.so.0: cannot open shared object file: No such file or directory

alex4o commented on 2018-09-19 15:37

@r0tekatze Yeah it is necessary, I tried to change the config from the meson.build file in gala to build with mutter-3, but it is unable to find the gobject introspection files. You can downgrade to a previous version of mutter for now.

r0tekatze commented on 2018-09-18 17:50

This still seems to depend on libmutter, libmutter-0, -1 and -2. Are these really necessary? I haven't a clue where to find them.

alucryd commented on 2018-03-26 20:17

@alex4o: Thx, I updated it slightly differently, we have a meson wrapper on arch.

alex4o commented on 2018-03-25 15:53

I made a patch that should fix the PKGBUILD. https://gist.github.com/alex4o/8fec5c450fcb1a1fcdebfc601ce6fe8b

Probably the dependacies should be changed because of the new build system but it works now.

NicoHood commented on 2017-09-14 21:15

I've published a non-git version of this package here:
https://aur.archlinux.org/packages/gala

Why does this package have so many dependencies? Can't we get rid of some redundant packages? The github readme has a list of required dependencies.

maxxcan commented on 2016-11-10 20:17

I have a problems with this package since the last update of gnome.

I can't initialize gala because don't find two libraries, libmutter-clutter-1.0.so and libmutter-cogl.so.

This libraries exists in my system but I supose that is in another directory.







alex4o commented on 2016-05-21 07:52

I have the exact same problem. Tried with gnome-control-center, and think the problem is that alt, super, ctrl buttons doesn't get recognized.

alucryd commented on 2016-02-14 15:32

Try switching via gnome-control-center.

chavdar commented on 2016-02-04 13:21

I can't switch layouts, even though setxkbmap is configured right. When using xfwm4 everything is ok, but with gala I have only US layout.